org.apache.solr.client.solrj.io.stream.expr

## Interface Expressible

All Known Subinterfaces:
  ReduceOperation, StreamComparator, StreamEqualitor, StreamEvaluator, StreamOperation

All Known Implementing Classes:
  AbsoluteValueEvaluator, AddEvaluator, AndEvaluator, AnovaEvaluator, ArcCosineEvaluator, ArcSineEvaluator, ArcTangentEvaluator, ArrayEvaluator, BiJoinStream, BooleanEvaluator, CalculatorStream, CartesianProductStream, CeilingEvaluator, CellStream, CloudSolrStream, CoalesceEvaluator, ColumnEvaluator, CommitStream, ComplementStream, ComplexEvaluator, ConcatOperation, ConditionalEvaluator, ConversionEvaluator, ConvolutionEvaluator, CopyOfEvaluator, CopyOfRangeEvaluator, CorrelationEvaluator, CosineEvaluator, CountMetric, CovarianceEvaluator, CubedRootEvaluator, CumulativeProbabilityEvaluator, DaemonStream, DescribeEvaluator, DistanceEvaluator, DistinctOperation, DivideEvaluator, EchoStream, EmpiricalDistributionEvaluator, EqualsEvaluator, EvalStream, ExclusiveOrEvaluator, ExecutorStream, FacetStream, FeaturesSelectionStream, FetchStream, FieldComparator, FieldEqualitor, FieldEvaluator, FindDelayEvaluator, FloorEvaluator, GatherNodesStream, GetStream, GreaterThanEqualToEvaluator, GreaterThanEvaluator, GroupOperation, HashJoinStream, HavingStream, HistogramEvaluator, HyperbolicCosineEvaluator, HyperbolicSineEvaluator, HyperbolicTangentEvaluator, IfThenElseEvaluator, InnerJoinStream, IntersectStream, JDBCStream, JoinStream, KnnStream, LeftOuterJoinStream, LengthEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, LetStream, ListStream, MaxMetric, MeanMetric, MergeStream, Metric, MinMetric, ModelStream, ModuloEvaluator, MovingAverageEvaluator, MultipleFieldComparator, MultipleFieldEqualitor, MultiplyEvaluator, NaturalLogEvaluator, NormalizeEvaluator, NotEvaluator, NullStream, NumberEvaluator, OrEvaluator, OuterHashJoinStream, ParallelStream, PercentileEvaluator, PowerEvaluator, PredictEvaluator, PriorityStream, PushBackStream, RandomStream, RankEvaluator, RankStream, RawValueEvaluator, ReducerStream, RegressionEvaluator, ReplaceOperation, ReplaceWithFieldOperation, ReplaceWithValueOperation, ReverseEvaluator, RollupStream, RoundEvaluator, ScaleEvaluator, ScoreNodesStream, SelectStream, SequenceEvaluator, ShortestPathStream, ShuffleStream, SignificantTermsStream, SimpleEvaluator, SineEvaluator, SingleValueComparator, SortStream, SqlStream, SquareRootEvaluator, StatsStream, SubtractEvaluator, SumMetric, TangentEvaluator, TemporalEvaluator, TemporalEvaluatorDay, TemporalEvaluatorDayOfQuarter, TemporalEvaluatorDayOfYear, TemporalEvaluatorEpoch, TemporalEvaluatorHour, TemporalEvaluatorMinute, TemporalEvaluatorMonth, TemporalEvaluatorQuarter, TemporalEvaluatorSecond, TemporalEvaluatorWeek, TemporalEvaluatorYear, TextLogitStream, TimeSeriesStream, TopicStream, TupStream, UniqueStream, UpdateStream, UuidEvaluator

    public interface Expressible

Defines a stream that can be expressed in an expression

### Method Summary

All Methods Instance Methods Abstract Methods
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Method Detail

#### toExpression

    StreamExpressionParameter toExpression(StreamFactory factory)
                                    throws IOException

Throws:
  `IOException`

#### toExplanation

    Explanation toExplanation(StreamFactory factory)
                       throws IOException

Returns an explanation about the stream object

Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error